fs setcachesize            AFS Commands         fs setcachesize


NAME

   fs setcachesize -- set size of disk cache.


   fs setcachesize [-blocks <size in 1K byte blocks>]  [-reset]
   [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   fs setca [-b <size in 1K byte blocks>]  [-r]  [-h]

   fs cachesize [-b <size in 1K byte blocks>]  [-r]  [-h]

DESCRIPTION

   On  machines using a disk cache, changes the amount of local
   disk space that the Cache  Manager  may  use  for  its  data
   cache.  Specify the number in kilobyte blocks.  This command
   is not operative on machines using memory caching.

   To return the cache size to the default value  specified  in
   /usr/vice/etc/cacheinfo  on the client's local disk, specify
   0 as the number of kilobyte blocks.  The cacheinfo  file  is
   human-readable  and visible with the cat command.  The third
   and final field is the number of kilobyte  blocks  allocated
   to  the  cache  at  reboot.    The chapter in the AFS System
   Administrator's  Guide  on  client   machine   configuration
   further describes the contents of cacheinfo.

   To  return  the cache size to the value set when the machine
   was last booted, use the -reset flag instead of the  -blocks
   argument.     This  is  normally  the  amount  specified  in
   cacheinfo, unless the -blocks argument was used on  afsd  to
   override the cacheinfo value.

   The  fs getcacheparms  command  displays  the current actual
   cache size and the amount of space in use, both for disk and
   memory caches.

WARNINGS

   This  command  is  not  operative  on  machines using memory
   caching, and will result in an error message.

   On machines using a disk cache, do not set the cache size to
   exceed  90% of the actual disk space available for the cache
   directory.  The cache implementation itself requires a small
   amount of room on the partition.

ARGUMENTS

   -blocks
         specifies the number of 1 kilobyte  blocks  the  Cache
         Manager  may  devote to the cache.  Specifying a value
         of "0" sets cache size to  the  default  specified  in
         cacheinfo.    This  implies that the smallest possible
         cache size is 1 kilobyte, not 0.

   -reset
         returns  the  cache  size  to  the  value set when the



         machine was last booted.  This agrees with  the  value
         in  cacheinfo  unless the -blocks argument was used on
         afsd.

   -help prints the online help entry for this command.  Do not
         provide  any  other  arguments or flags with this one.
         See section 3.1  in  the  Reference  Manual  for  more
         details.

EXAMPLES

   The  following  sets  the  disk cache size to 25000 kilobyte
   blocks.

   %  fs setca 25000

   Both of the following reset the disk cache size to the value
   in cacheinfo, assuming that the -blocks argument on afsd was
   not used.

   %  fs setcachesize 0  %  fs setca -r

PRIVILEGE REQUIRED

   Issuer must be logged in as "root" in the UNIX  file  system
   of the machine on which the command is being issued.

MORE INFORMATION

   fs getcacheparms
